#!/bin/csh
#Ray Bryant (AMD) 2006/09/10

if (! -e $1) then 
	echo "You need to create directory $1 first!"
	exit
endif

set foo = `xm list | grep SUSE`
if ("$foo" == "") then
	echo "No passive domain found.  Have you started it yet?"
	exit
endif
set passive=$foo[2]
echo "Passive domain is $passive."

# make sure we only get samples in the log from the current experiment
rm -f /var/lib/oprofile/oprofiled.log
set verbose
opcontrol --reset

opcontrol --start
# sleep 120
sleep 10
opcontrol --stop

# this will get us sample counts in the oprofiled.log file
opcontrol --shutdown

opreport -x > $1/overall.time

# these are the ones we currently believe in
# doing thing this way also elimiates dependence on current change set number
opreport -l |& grep pxen1-syms | renormalize.pl > $1/pxen1-syms.profile 
# this is equivalent to:  opreport -l /home/test/xenbits-unstable.$cs.hg/xen/xen-syms
opreport -l |& grep xen-syms | renormalize.pl > $1/xen-syms.profile
# not sure that this one is correct.   We get symbols, but do they make sense?
opreport -l |& grep domain | grep $passive | grep kernel | /tmp/renormalize.pl > $1/domain$passive-kernel.profile
opreport -l |& grep domain | grep $passive | grep xen | /tmp/renormalize.pl > $1/domain$passive-xen.profile
# this is equivalent to: opreport -l /home/test/xenbits-unstable.$cs.hg/linux-2.6.16.13-xen/vmlinux
opreport -l |& grep vmlinux | renormalize.pl > $1/dom0.profile
# save the opreport -l output for later analysis
opreport -l >& opreport.l.out

cp -v /var/lib/oprofile/oprofiled.log $1/oprofiled.log
