#!/bin/csh
#Ray Bryant (AMD) 2006/09/10

# modprobe oprofile.ko
set foo = `xm list | grep SUSE`
if ("$foo" == "") then
	echo "No passive domain found.  Have you started it yet?"
	exit
endif
set passive=$foo[2]
echo "Passive domain is $passive."

# figure out which change set we are running
set foo = `xm info | grep xen_changeset`
set cs = `echo $foo[9] | sed -e 's/:.*$//'`
echo "current change set is: $cs"

# probably not running, but let's make sure
killall oprofiled

# remove all of these so do_profile.sh knows it is pxen1-syms
# and doesn't have to worry about pxen2-syms, etc...
rm -f /boot/pxen?-syms
rm -f /boot/pvmlinux?-syms
rm -f /boot/domain*-kernel?
rm -f /boot/domain*-xen?
rm -f /boot/papps?-syms

opcontrol --init

# note that my conention places the vmlinux and xen-syms in /home/test/xenbots-unstable.$cs.hg
# your conventions may vary
opcontrol --vmlinux=/home/test/xenbits-unstable.$cs.hg/linux-2.6.16.13-xen/vmlinux 
# passive-images needs to point at the kernel image (unstripped vmlinux) of the SVM domain
opcontrol --start-daemon --active-domains=0 --passive-domains=$passive \
	--passive-images=/tmp/vmlinux-guest --xen=/tmp/xen-syms \
	--verbose=all --event=CPU_CLK_UNHALTED:100000:0:1:1
#P4	--verbose=all --event=GLOBAL_POWER_EVENT:900000:0:1:1
